Wordpress update Version 5.6.2

4.9/5 - (8 votes)

Das neue Wordpress update – Version 5.6.2 – Wartungs- und Sicherheitsupdates.

WordPress 5.6.2 bietet Ihnen unzählige Möglichkeiten, ihren Ideen freien Lauf zu lassen und sie zum Leben zu erwecken. Mit einem nagelneuen Standard Theme als Leinwand unterstützt es eine ständig wachsende Sammlung von Blöcken als Werkzeug. Male so mit Worten. Male mit Bildern und Ton. Oder integrieren Sie einfach Multimedia-Inhalte.

Mehr Flexibilität beim Layout bei der update Version 5.6.2

Erwecken Sie ihre Geschichten zum Leben mit mehr Werkzeugen, die es Ihnen ermöglichen, ihr Layout – mit oder ohne Code – zu bearbeiten. Einspaltige Blöcke, Designs mit unterschiedlichen Breiten und Spalten, Header über die gesamte Breite und Videos in ihrem Cover Block – erstellen Sie kleine Änderungen oder große Aussagen mit der gleichen Leichtigkeit!

In ausgewählten Themes machen vorkonfigurierte Block Vorlagen die Einrichtung von Standardseiten auf Ihrer Website zum Kinderspiel. Nutzen Sie die Möglichkeiten von Vorlagen, um Ihren Arbeitsablauf zu optimieren, oder teilen Sie einige dieser Möglichkeiten mit ihren Kunden und sparen Sie sich ein paar Klicks.

Upload von Video-Untertiteln direkt im Block-Editor.

Um Ihnen das Hinzufügen von Untertiteln oder Bildunterschriften zu ihren Videos zu erleichtern, können Sie diese jetzt innerhalb ihres Beitrages oder ihre Seite hochladen. Dies macht es einfacher denn je, ihre Videos für alle barrierefrei zugänglich zu machen, die Untertitel brauchen oder bevorzugen.

Das Wordpress Theme Twenty Twenty One ist da!

Twenty Twenty One ist wie eine leere Leinwand für Ihre Ideen und macht den Block-Editor zu ihrem besten Werkzeug. Es wurde für den Block-Editor gebaut und ist vollgepackt mit brandneuen Block-Vorlagen, die Sie lediglich mit den Standard-Themes erhalten können. Probieren Sie in Sekundenschnelle verschiedene Layouts aus und lassen Sie ihr Werk durch das ansprechende, aber zeitlose Design des Themes erstrahlen.

Darüber hinaus stellt dieses Standard Theme die Barrierefreiheit in den Mittelpunkt Ihrer Website. Es entspricht den WordPress Richtlinien zur Barrierefreiheit und behandelt mehrere spezialisierte Standards aus den Richtlinien für barrierefreie Webinhalte (WCAG) 2.1 des Levels AAA (engl.). Es wird Ihnen helfen, die höchsten internationalen Standards zur Barrierefreiheit zu erfüllen, wenn Sie barrierefreie Inhalte erstellen und Plugins auswählen, welche ebenfalls barrierefrei sind!

Perfekt für das neue Jahr: Das Theme Twenty Twenty One bietet Ihnen eine Reihe vordefinierter Farbpaletten in Pastell, die alle den AAA-Standards für Kontrast entsprechen. Sie können auch ihre eigene Hintergrundfarbe für das Wordpress Theme wählen, und das Theme wählt für Sie dazu barrierefreie Textfarben aus – ganz automatisch!

Wordpress Verbesserungen für jedermann.

Erweiterung der automatischen Aktualisierungen

Jahrelang waren nur Entwickler in der Lage, WordPress automatisch zu aktualisieren. Aber jetzt haben Sie auch diese Möglichkeit – direkt in ihrem Dashboard. Falls dies ihre erste Website ist, stehen ihnen die automatischen Aktualisierungen sofort zum Einsatz bereit! Sie wollen eine bestehende Website aktualisieren? Kein Problem! Alles ist so, wie es vorher war.

Template zur Erklärung der Barrierefreiheit

Selbst wenn Sie kein Experte sind, können Sie damit beginnen, die Leute mit einem Button Klick über das Engagement ihrer Website für die Barrierefreiheit zu informieren! Das neue Funktions-Plugin enthält Template-Kopien, welche Sie aktualisieren und veröffentlichen können, und es ist so geschrieben, dass es verschiedene Kontexte und Gerichtsbarkeiten unterstützt.

Integrierte Vorlagen

Sofern Sie bis jetzt noch nicht die Möglichkeit hatten, mit Block-Vorlagen zu spielen, dann verfügen jetzt alle Standard Wordpress Themes über eine Reihe von Block-Vorlagen, mit denen Sie komplexe Layouts mit minimalem Aufwand meistern können. Passen Sie ganz einfach die Vorlagen nach ihren Wünschen mit den Texten, Bildern und Farben an, die zu Ihrer Geschichte oder Marke passen.

Für Entwickler:

REST-API-Authentifizierung mit Anwendungspasswörtern

Dank der neuen Autorisierungsfunktion für API-Anwendungspasswörter können Anwendungen von Drittanbietern nahtlos und sicher mit Ihrer Website verbunden werden. Mit dieser neuen REST-API-Funktion können Sie sehen, welche Anwendungen eine Verbindung zu ihrer Website herstellen, und kontrollieren, was sie tun.

Mehr Unterstützung für PHP 8

5.6 markiert die ersten Schritte zur Unterstützung des WordPress-Cores für PHP 8. Jetzt ist ein guter Zeitpunkt, um zu planen, wie Ihre WordPress Produkte, -Dienste und -Websites die neueste PHP Version unterstützen können. Für weitere Informationen darüber, was Sie als nächstes erwarten können, lesen Sie die PHP-8-Entwicklungs Notizen (engl.).

jQuery

Aktualisierungen für jQuery in WordPress erfolgen schrittweise über drei Versionen: 5.5, 5.6 sowie 5.7. Da wir die Mitte des Prozesses erreicht haben, führen Sie das Update-Test-Plugin aus, um ihre Websites frühzeitig auf Fehler zu prüfen.

Wenn Sie auf Probleme mit dem Aussehen ihrer Website stoßen (z. B. ein Slider oder ein Button funktioniert nicht – etwas in der Art), installieren Sie das Plugin jQuery Migrate.

admin

Kommentare sind geschlossen.